自分の参加イベント

GET/events/my-entries

認証中ユーザーが参加登録したイベントを、参加登録日時の降順で取得します。

認証要ログイン

クエリパラメータ

pagenumber

ページ番号(1 始まり)。デフォルト 1

perPagenumber

1 ページあたりの件数。デフォルト 20

timeFilter'upcoming' | 'past'

開催時期で絞り込み

statestring

参加状態(カンマ区切り。省略時はキャンセル以外)

keywordstring

キーワード(title / slug / タグ名)

レスポンス

フィールド説明
eventsEvent[]イベント配列(entryState / checkedInAt / entryCount 付き)
pageInfoobjectページ情報(totalCount / totalPages / page / perPage)
リクエスト
curl https://api.4s.link/events/my-entries \
-H "Authorization: Bearer 4s_at_..."
レスポンス例
{
"events": [
{
"id": "e1f2a3b4-...",
"title": "4S Tech Conference 2026",
"slug": "tech-conf-2026",
"schedules": [],
"tags": ["tech"],
"entryState": "CONFIRMED",
"checkedInAt": null,
"entryCount": 1,
"isPaid": false
}
],
"pageInfo": { "totalCount": 100, "totalPages": 5, "page": 1, "perPage": 20 }
}